> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Relevant Pages

> Find pages with measurable organic or paid search value.

# Relevant Pages

```json theme={"system"}
{
  "target": "microsoft.com",
  "location_code": 2840,
  "language_code": "en",
  "results_limit": 5
}
```

请选用本接口支持的国家及该国家可用的语言。默认值为美国（2840）和英语（en）；若该国家不支持英语，必须明确指定支持的语言。此接口不支持 location\_code=2156。地区和语言支持范围与搜索量、实时 SERP 不同。

Each item is one page record with ranking distribution and estimated search-traffic metrics.

## 结果字段

任务结果使用下列稳定的 SocQ 字段。来源特有的字段名称和格式会被规范化，但不会推断或补充来源未提供的值。如需请求更小的字段集，MCP 查询请使用 `fields`，Typed 工具请使用 `_result_fields`，CLI 请使用 `--result-fields`。即使值为 `null`，已声明的字段仍会保留。

| 字段 | 类型 | 可空 | 说明 |
| - | - | - | - |
| `id` | `string` | 是 | 当前结果项的唯一标识。 |
| `platform` | `string` | 否 | 结果所属的平台，例如 `instagram` 或 `linkedin`。 |
| `resource` | `string` | 否 | 该结果对应的 SocQ 资源，例如 `videos` 或 `comments`。 |
| `type` | `string` | 否 | 结果项的类别，例如 `video`、`post` 或 `comment`。 |
| `url` | `string` | 是 | 结果项的公开访问地址（如可获得）。 |
| `published_at` | `string` | 是 | 源内容的发布时间（如可获得），使用 ISO 8601 格式。 |
| `collected_at` | `string` | 否 | SocQ 采集或处理该结果的时间，使用 ISO 8601 格式。 |
| `title` | `string` | 是 | 搜索结果标题。 |
| `text` | `string` | 是 | 搜索结果摘要。 |
| `rank` | `integer` | 是 | 该项目在搜索结果中的位置。 |
| `domain` | `string` | 是 | 搜索结果所属域名。 |
| `result_type` | `string` | 是 | 搜索引擎返回的结果类型。 |

## 任务完成响应

```json theme={"system"}
{
  "code": 200,
  "data": {
    "task_id": "BYUG07YJY4QJR1K0",
    "status": "succeeded",
    "public_id": "seo/relevant-pages",
    "result_count": 5,
    "credits_amount": 0.75,
    "results": {
      "limit": 1,
      "next_cursor": "OTc3Mw",
      "has_more": true,
      "schema_id": "serp-result",
      "schema_version": "1.0",
      "items": [
        {
          "id": "https://support.microsoft.com/en-us/windows/keyboard-shortcuts-in-windows-dcc61a57-8ff0-cffe-9796-cb9706c75eec",
          "platform": "seo",
          "resource": "relevant-pages",
          "type": "relevant-pages",
          "url": "https://support.microsoft.com/en-us/windows/keyboard-shortcuts-in-windows-dcc61a57-8ff0-cffe-9796-cb9706c75eec",
          "published_at": null,
          "collected_at": "2026-07-31T02:44:31.961617Z",
          "title": "https://support.microsoft.com/en-us/windows/keyboard-shortcuts-in-windows-dcc61a57-8ff0-cffe-9796-cb9706c75eec",
          "text": "https://support.microsoft.com/en-us/windows/keyboard-shortcuts-in-windows-dcc61a57-8ff0-cffe-9796-cb9706c75eec",
          "rank": null,
          "domain": null,
          "result_type": "relevant-pages"
        }
      ]
    }
  }
}
```


## OpenAPI

````yaml zh/api-manual/agent-api/agent-api.json POST /v1/seo/relevant-pages
openapi: 3.1.0
info:
  title: SocQ Agent API 中文版
  version: v1-050b21a3b206
  description: 根据 SocQ 能力目录生成的异步社交数据 API。
servers:
  - url: https://api.socq.ai
security: []
paths:
  /v1/seo/relevant-pages:
    post:
      tags:
        - seo
      summary: Relevant Pages
      description: Find pages with measurable organic or paid search value.
      operationId: socq_seo_relevant_pages
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              additionalProperties: false
              properties:
                callback_url:
                  type: string
                  format: uri
                  description: 可选的任务完成回调 URL。
                language:
                  type: string
                  minLength: 1
                  enum:
                    - Albanian
                    - Arabic
                    - Armenian
                    - Azeri
                    - Bengali
                    - Bosnian
                    - Bulgarian
                    - Chinese (Simplified)
                    - Chinese (Traditional)
                    - Croatian
                    - Czech
                    - Danish
                    - Dutch
                    - English
                    - Estonian
                    - Finnish
                    - French
                    - German
                    - Greek
                    - Hebrew
                    - Hindi
                    - Hungarian
                    - Indonesian
                    - Italian
                    - Japanese
                    - Korean
                    - Latvian
                    - Lithuanian
                    - Macedonian
                    - Malay
                    - Norwegian (Bokmål)
                    - Polish
                    - Portuguese
                    - Romanian
                    - Russian
                    - Serbian
                    - Slovak
                    - Slovenian
                    - Spanish
                    - Swedish
                    - Tagalog
                    - Thai
                    - Turkish
                    - Ukrainian
                    - Urdu
                    - Vietnamese
                  description: 语言代码或语言筛选条件。
                language_code:
                  type: string
                  minLength: 2
                  maxLength: 10
                  enum:
                    - ar
                    - az
                    - bg
                    - bn
                    - bs
                    - cs
                    - da
                    - de
                    - el
                    - en
                    - es
                    - et
                    - fi
                    - fr
                    - he
                    - hi
                    - hr
                    - hu
                    - hy
                    - id
                    - it
                    - ja
                    - ko
                    - lt
                    - lv
                    - mk
                    - ms
                    - nb
                    - nl
                    - pl
                    - pt
                    - ro
                    - ru
                    - sk
                    - sl
                    - sq
                    - sr
                    - sv
                    - th
                    - tl
                    - tr
                    - uk
                    - ur
                    - vi
                    - zh-CN
                    - zh-TW
                  default: en
                  description: >-
                    Language code must be supported for the selected country. A
                    globally supported language can still be unavailable in a
                    particular country.
                location_code:
                  type: integer
                  minimum: 1
                  description: >-
                    Supported country code for this SEO research endpoint.
                    Support differs from live SERP and Keyword Search Volume;
                    2156 is unavailable here.
                  enum:
                    - 2008
                    - 2012
                    - 2024
                    - 2031
                    - 2032
                    - 2036
                    - 2040
                    - 2048
                    - 2050
                    - 2051
                    - 2056
                    - 2068
                    - 2070
                    - 2076
                    - 2100
                    - 2104
                    - 2116
                    - 2120
                    - 2124
                    - 2144
                    - 2152
                    - 2158
                    - 2170
                    - 2188
                    - 2191
                    - 2196
                    - 2203
                    - 2208
                    - 2218
                    - 2222
                    - 2233
                    - 2246
                    - 2250
                    - 2276
                    - 2288
                    - 2300
                    - 2320
                    - 2344
                    - 2348
                    - 2356
                    - 2360
                    - 2372
                    - 2376
                    - 2380
                    - 2384
                    - 2392
                    - 2398
                    - 2400
                    - 2404
                    - 2410
                    - 2428
                    - 2440
                    - 2458
                    - 2470
                    - 2484
                    - 2492
                    - 2498
                    - 2504
                    - 2528
                    - 2554
                    - 2558
                    - 2566
                    - 2578
                    - 2586
                    - 2591
                    - 2600
                    - 2604
                    - 2608
                    - 2616
                    - 2620
                    - 2642
                    - 2682
                    - 2686
                    - 2688
                    - 2702
                    - 2703
                    - 2704
                    - 2705
                    - 2710
                    - 2724
                    - 2752
                    - 2756
                    - 2764
                    - 2784
                    - 2788
                    - 2792
                    - 2804
                    - 2807
                    - 2818
                    - 2826
                    - 2840
                    - 2854
                    - 2858
                    - 2862
                  default: 2840
                location_name:
                  type: string
                  minLength: 1
                  description: >-
                    Supported country name; use either location_code or
                    location_name.
                  enum:
                    - Albania
                    - Algeria
                    - Angola
                    - Argentina
                    - Armenia
                    - Australia
                    - Austria
                    - Azerbaijan
                    - Bahrain
                    - Bangladesh
                    - Belgium
                    - Bolivia
                    - Bosnia and Herzegovina
                    - Brazil
                    - Bulgaria
                    - Burkina Faso
                    - Cambodia
                    - Cameroon
                    - Canada
                    - Chile
                    - Colombia
                    - Costa Rica
                    - Cote d'Ivoire
                    - Croatia
                    - Cyprus
                    - Czechia
                    - Denmark
                    - Ecuador
                    - Egypt
                    - El Salvador
                    - Estonia
                    - Finland
                    - France
                    - Germany
                    - Ghana
                    - Greece
                    - Guatemala
                    - Hong Kong
                    - Hungary
                    - India
                    - Indonesia
                    - Ireland
                    - Israel
                    - Italy
                    - Japan
                    - Jordan
                    - Kazakhstan
                    - Kenya
                    - Latvia
                    - Lithuania
                    - Malaysia
                    - Malta
                    - Mexico
                    - Moldova
                    - Monaco
                    - Morocco
                    - Myanmar (Burma)
                    - Netherlands
                    - New Zealand
                    - Nicaragua
                    - Nigeria
                    - North Macedonia
                    - Norway
                    - Pakistan
                    - Panama
                    - Paraguay
                    - Peru
                    - Philippines
                    - Poland
                    - Portugal
                    - Romania
                    - Saudi Arabia
                    - Senegal
                    - Serbia
                    - Singapore
                    - Slovakia
                    - Slovenia
                    - South Africa
                    - South Korea
                    - Spain
                    - Sri Lanka
                    - Sweden
                    - Switzerland
                    - Taiwan
                    - Thailand
                    - Tunisia
                    - Turkiye
                    - Ukraine
                    - United Arab Emirates
                    - United Kingdom
                    - United States
                    - Uruguay
                    - Venezuela
                    - Vietnam
                offset:
                  type: integer
                  minimum: 0
                  description: 请求参数。
                results_limit:
                  type: integer
                  minimum: 1
                  maximum: 1000
                  default: 100
                  description: 最多保存的结果数，实际结果可能少于该值。
                target:
                  type: string
                  minLength: 1
                  description: Domain, subdomain, or page URL.
              required:
                - target
              description: >-
                请选用本接口支持的国家及该国家可用的语言。默认值为美国（2840）和英语（en）；若该国家不支持英语，必须明确指定支持的语言。此接口不支持
                location_code=2156。地区和语言支持范围与搜索量、实时 SERP 不同。
      responses:
        '200':
          description: 任务已受理
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSubmitResponse'
        '422':
          description: Input validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentValidationErrorResponse'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    AgentSubmitResponse:
      type: object
      properties:
        code:
          type: integer
          const: 200
          description: HTTP 业务状态码。
        data:
          type: object
          properties:
            task_id:
              type: string
              description: 任务 ID，用于查询任务状态和结果。
            status:
              type: string
              description: 任务当前状态。
            created_time:
              type:
                - string
                - 'null'
              description: 任务创建时间。
          required:
            - task_id
            - status
    AgentValidationErrorResponse:
      type: object
      properties:
        code:
          type: integer
          const: 422
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
            details:
              type: object
          required:
            - message
            - type
      required:
        - code
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: '使用 `Authorization: Bearer <token>` 请求头进行身份验证。'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 也可以通过 `x-api-key` 请求头提供 API Key。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.